package com.nisum.test;

import com.nisum.test.pages.AccountSettings;
import com.nisum.test.pages.Home;
import com.nisum.test.pages.Login;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.testng.Assert;
import org.testng.annotations.Test;

import java.util.concurrent.TimeUnit;

public class AccountSettingsTest {

    @Test
    public void testUserInfo() {
        final String homeUrl = "https://www.safeway.com";
        final String username = "vkrijegccvsknuvnpv@miucce.com";
        final String password = "12345678";
        final String firstName = "Nisum";
        final String lastName = "TestAcct";
        final String phoneNumber = "3141592635";

        WebDriver driver = new ChromeDriver();
        driver.manage().timeouts().implicitlyWait(3, TimeUnit.SECONDS);
        Home home = new Home(driver);
        Login login = new Login(driver);
        AccountSettings accountSettings = new AccountSettings(driver);

        home.navigateHome(homeUrl);
        home.navigateSignIn();
        login.login(username, password);
        accountSettings.navigateAccountSettings();

        String accountFirstName = driver.findElement(By
                .xpath("//*[@id='input-firstName']")).getAttribute("value");
        String accountLastName = driver.findElement(By
                .xpath("//*[@id='input-lastName']")).getAttribute("value");
        String accountPhoneNumber = driver.findElement(By
                .xpath("//*[@id='phoneNumber']")).getAttribute("value");

        Assert.assertEquals(firstName, accountSettings.getAccountFirstName().getAttribute("value"));
        Assert.assertEquals(lastName, accountSettings.getAccountLastName().getAttribute("value"));
        Assert.assertEquals(phoneNumber, accountSettings.getAccountPhoneNumber().getAttribute("value"));

        driver.quit();
    }
}
